Bug 2074187

Summary: xdg-desktop-portal-gtk should be installed more aggressively
Product: [Fedora] Fedora Reporter: Debarshi Ray <debarshir>
Component: xdg-desktop-portal-gtkAssignee: Debarshi Ray <debarshir>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: amigadave, debarshir, fzatlouk, gnome-sig, mcatanza
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedFreezeException
Fixed In Version: xdg-desktop-portal-gtk-1.12.0-5.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-04-14 23:23:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1953786    

Description Debarshi Ray 2022-04-11 18:02:48 UTC
Currently, xdg-desktop-portal-gtk has:
Supplements:    (gtk3 and (flatpak or snapd))

This isn't correct.  The portal implementation is needed for both GTK3 and GTK4 applications, and even applications installed as RPMs, not just Flatpaks, may use the portals.

See:
https://pagure.io/fedora-workstation/issue/298

Comment 1 Fedora Update System 2022-04-11 18:03:24 UTC
FEDORA-2022-9095c8b25c has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9095c8b25c

Comment 2 Michael Catanzaro 2022-04-11 18:23:28 UTC
(We'd like this to receive a freeze exception in order to fix screen sharing in Firefox.)

Comment 3 FrantiĊĦek Zatloukal 2022-04-12 21:42:43 UTC
Discussed in ticket: https://pagure.io/fedora-qa/blocker-review/issue/739

The decision to classify this bug as an AcceptedFreezeException was made:

"This issue might negatively affect applications present and used in a live environment and so can't be fixed by a post-release update."

Comment 4 Fedora Update System 2022-04-14 23:23:20 UTC
FEDORA-2022-9095c8b25c has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.